Package org.codehaus.groovy.control

# Class CompilationUnit.SourceUnitOperation

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.SourceUnitOperation

Enclosing class:
  `CompilationUnit`

public abstract static class CompilationUnit.SourceUnitOperation extends Object
An callback interface for use in the applyToSourceUnits loop driver.

## Constructor Summary

Constructors
Constructor
Description
`SourceUnitOperation()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`call(SourceUnit source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceUnitOperation

public SourceUnitOperation()

## Method Details

### call

public abstract void call(SourceUnit source) throws CompilationFailedException

Throws:
  `CompilationFailedException`